Defender update 1.1.6 - Error across all sites

Hi there I am having an issue installing and update Defender 1.1.6 across all sites. I get this message:
The package could not be installed. PCLZIP_ERR_BAD_FORMAT (-10) : Invalid End of Central Dir Record size : 15

Also had trouble downloading the plugin directly from the plugin page.
Thanks for your help guys.